#include "gsa_text.h"
#define GSA_NOMAIN
#include "gsa.h"

i16 font;

i16 gsa_get_char_tile(u8 ch) {
	return font + (ch % 0x10) + (ch / 0x10) * 0x100;
}

void gsa_write_text(u8 map, u16 x, u16 y, char *str) {
	u8 *strp = (u8 *)str;
	while(*strp) {
		maps[map].tiles[x][y] = gsa_get_char_tile(*strp);
		++strp;
		++x;
	}
}
